/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 16 Nov 2024, 15:48:49
    Author     : gasperrencof
*/



/*
#map {
    width: 100%;
    height: 600px;
    margin-bottom: 100px;
}
.filter-container {
    position: absolute;
    top: 10px;
    left: 10px;
    background: white;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

.custom-marker {
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    width: 20px;
    height: 20px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.custom-marker svg{
    opacity: 0;
}

 Marker za tip 31 
.marker-type-31 {
    background-image: url('../images/map/fav-spar.png');
}

.marker-type-32 {
    background-image: url('../images/map/fav-muller.png');
}

.marker-type-33 {
    background-image: url('../images/map/fav-tus.png');
}

.default-marker {
    background-image: url('../images/map/fav-bam.png');
}



.map_filter{
    position: absolute;
    z-index: 100;
    background-color: #ffffff;
    width: 300px;
    height: 580px;
    margin: 10px;
    border-radius: 5px;
}

.map_container{
    position: relative;
}

#map {
    width: 65%;
}

 Stranski seznam 
#sidebar {
    width: 25%;
    height: 600px;
    overflow-y: auto;
    background-color: #f7f7f7;
    padding: 10px;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.2);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1000;
}

 Elementi seznama 
.location-item {
    padding: 10px;
    margin: 5px 0;
    cursor: pointer;
    border-radius: 4px;
    background-color: #ffffff;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s;
}

.location-item:hover {
    background-color: #e2e2e2;
}



 NEW ONE 


.location-map .location-map-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    height: 80vh;
    margin-top: 6rem;
    border-radius: 2rem;
    overflow: hidden;
    -webkit-box-shadow: 1px 2px 6px 2px rgba(0, 0, 0, 0.11);
    box-shadow: 1px 2px 6px 2px rgba(0, 0, 0, 0.11);
}

.location-map #controls {
    width: 35%;
    display: inline-block;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 4rem;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background: #f9f9f9;
    border-right: 1px solid #ddd;
    overflow-y: auto;
}

.location-map #locationList {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    overflow-y: auto;
    padding: 2rem 0;
}


.map_container{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    height: 80vh;
    margin-top: 6rem;
    border-radius: 2rem;
    overflow: hidden;
    -webkit-box-shadow: 1px 2px 6px 2px rgba(0, 0, 0, 0.11);
    box-shadow: 1px 2px 6px 2px rgba(0, 0, 0, 0.11);
}


#siderbar{
    width: 35%;
    display: inline-block;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 4rem;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background: #f9f9f9;
    border-right: 1px solid #ddd;
    overflow-y: auto;
}


#locationList {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    overflow-y: auto;
    padding: 2rem 0;
}
*/

.location {
    padding: 15rem 0 15rem;
}
.location .flex-row {
    margin-left: -15px;
    margin-right: -15px;
}
.location .location-box {
    background-color: var(--color-secondary);
    border-radius: 3rem;
    padding: 8rem;
    margin-top: 15rem;
    margin-bottom: 5rem;
}
@media (max-width: 50em) {
    .location .location-box {
        padding: 4rem;
        margin-top: 9rem;
    }
}
.location .location-box h2, .location .location-box p {
    color: #fff;
}
.location .location-box .location-box-pdf {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.location .location-box .location-box-pdf img {
    margin-bottom: 5rem;
    max-width: 29rem;
}
.location .location-box-light {
    padding: 4rem;
    font-style: italic;
    border: 1px solid var(--color-secondary);
    border-radius: 3rem;
    margin-top: 3rem;
}
.location .location-box-light h3 {
    font-size: 3rem;
}

/*.info {
    padding: 15rem 0 15rem 0;
}*/
.info .info-text {
    margin-top: 10rem;
}
.info .info-text ul {
    padding-left: 2rem;
}
.info .info-text h4 {
    font-weight: bold;
}

.location-map {
    padding-top: 50px;
    padding-bottom: 100px;
}
.location-map .location-map-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    height: 600px;
    overflow: hidden;
}
@media (max-width: 1200px) {
    .location-map .location-map-row {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        height: auto;
    }
}
.location-map #controls {
    width: 30%;
    /*  display: -webkit-box;
      display: -ms-flexbox;*/
    display: inline-block;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 20px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    background-color: #ffffff;
}


@media (max-width: 1200px) {
    .location-map #controls {
        width: 100%;
        /*        height: 45rem;
                padding: 3rem 2rem 3rem 2rem;*/
    }
}
.location-map #searchInput {
    margin-bottom: 10px;
    padding: 20px;
    font-size: 16px;
    border: 1px solid #ddd;
    width: 100%;
    height: 50px;
    margin-top: 10px;
}
.location-map #locationList {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    overflow-y: scroll;
    padding-top: 10px;
    width: 100%;
    overflow-x: scroll;
    height: 80%;
}
.location-map #locationList button {
    margin: 5px 0;
    padding: 10px;
    background-color: #fff;
    border: 1px solid #ddd;
    cursor: pointer;
    text-align: left;
}
.location-map #locationList button:hover {
    background-color: #eee;
}
.location-map #map {
    width: 65%;
}

.location-map .location-item {
    border-bottom: 1px solid #b6b5b5;
    padding: 10px;
    cursor: pointer;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    font-size: 14px;
    position: relative;
}
.location-map .location-item:hover {
    background-color: #ddd;
}

.location-map .location-item .location-name {
    font-weight: bold;
    font-size: 16px;
}


.location-map .location-distance{
    position: absolute;
    right: 0;
    top: 10px;
}

.location-map .maplibregl-canvas {
    position: relative;
}
/*.location-map .custom-marker {
    background-color: #3fb8b1;
    width: 0;
    height: 0;
    border-radius: 50%;
    border: 2px solid white;
}*/
.location-map .maplibregl-popup-content {
    border-radius: 1rem;
    width: 30rem;
}
.location-map .maplibregl-popup-content p {
    padding-bottom: 0;
    font-size: 1.4rem;
}
.location-map .maplibregl-popup-content h3 {
    padding-bottom: 1rem;
}
.location-map .maplibregl-popup-content a:focus-visible {
    outline: none;
}
.location-map .maplibregl-popup-close-button {
    font-size: 3rem;
    right: 1rem;
}
.location-map .popup {
    display: none;
    position: absolute;
    background: #fff;
    padding: 20px;
    z-index: 8;
    opacity: 0;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
    top: 50% !important;
    left: 67% !important;
    right: auto !important;
    bottom: auto !important;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    width: 30%;
    font-size: 16px;
}

.location-map .popup img {
    border-radius: 1rem;
    margin-bottom: 1rem;
    display: block;
    height: 10vw;
    -o-object-fit: cover;
    object-fit: cover;
}

.location-map .popup h3 {
    padding-bottom: 1rem;
    font-size: 2rem;
}
.location-map .popup p {
    font-size: 14px;
    padding-bottom: 0;
    margin-bottom: 0;
}

.location-map .popup p a{
    text-decoration: underline;
}


.location-map .popup .main-cta{
    display: block;
    background-color: #111;
    text-align: center;
    padding: 5px;
    border-radius: 5px;
    margin-top: 10px;
    text-transform: uppercase;
    font-weight: 700;
    transition: .3s;
    color: #ffffff;

}

.location-map .popup .main-cta:hover{
    background-color: var(--color-primary);
    color: #ffffff;
}

.location-map .popup.show {
    opacity: 1;
}
.location-map .popup .close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    background-color: #222;
    color: #fff;
    display: block;
    padding: 3px 7px;
    font-weight: 700;
    border-radius: 5px;
    font-size: 14px;
}
.location-map .location-desc {
    font-size: 14px;
    margin-top: 5px;
    text-decoration: underline;
}
.location-map .working-hours {
   margin-top: 10px;
   background-color: #f9f9f9;
   border-radius: 2px;
   padding: 10px;
   height: 200px;
   overflow-y: scroll;
   font-size: 12px;
   overflow-x: hidden;
}

.location-map .working-hours ul{
        padding: 10px 15px;
}

.location-item {
    padding-top: 15rem;
    padding-bottom: 10rem;
}
.location-item .location-item-inner {
    padding-top: 8rem;
}
@media (max-width: 50em) {
    .location-item .location-item-inner {
        padding-top: 2rem;
    }
}
.location-item .location-item-inner p {
    padding-bottom: 1rem;
}


.location-item .location-item-inner p.active_day{
    color: var(--color-primary);
    font-weight: 700;
}

.location-item .location-item-inner .location-item-gallery {
    height: 40rem;
    overflow: hidden;
    margin-bottom: 3rem;
}
@media (max-width: 50em) {
    .location-item .location-item-inner .location-item-gallery {
        height: 30rem;
    }
}
.location-item .location-item-inner .location-item-gallery img {
    border-radius: 2rem;
    margin-bottom: 2rem;
    height: 40rem;
    -o-object-fit: cover;
    object-fit: cover;
}
@media (max-width: 50em) {
    .location-item .location-item-inner .location-item-gallery img {
        height: 30rem;
    }
}
.location-item .location-item-inner .location-item-info {
    margin-bottom: 3rem;
}
.location-item .location-item-inner .location-item-info p {
    padding: 1rem 0;
}

/*.location-item .location-item-inner .location-item-info p a{
    text-decoration: underline;
}*/

.location-item .location-item-inner .location-item-info svg {
    width: 2rem;
    height: auto;
    margin-right: 0.5rem;
    -webkit-transform: translateY(0.3rem);
    transform: translateY(0.3rem);
}
.location-item .location-item-inner .location-item-info svg path {
    fill: var(--color-primary);
}
.location-item .location-item-inner .location-item-info p,
.location-item .location-item-inner .location-item-hours p {
    margin-bottom: 0;
    padding-bottom: 0;
}
.location-item .location-item-inner .location-item-hours {
    background-color: #f9f9f9;
    border-radius: 1rem;
    padding: 2rem;
}
.location-item .location-item-inner .location-item-hours-title {
    font-size: 2rem;
    margin-bottom: 1rem !important;
}
.location-item #mapSingle {
    width: 100%;
    height: 55rem;
    margin-top: 6rem;
}
@media (max-width: 50em) {
    .location-item #mapSingle {
        height: 40rem;
        margin-top: 5rem;
    }
}

/* NEW ONE */

.location-map #controls{
    height: 580px;
    position: absolute;
    z-index: 100;
    top: 10px;
    left: 10px;
    
}

.location-map .location-map-row{
    position: relative;
}


.location-map #map{
    width: 100%;
}


.location-map .location-map-row h3{
    font-size: 18px;
    font-weight: 700;
}

.custom-marker {
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    width: 20px;
    height: 20px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.custom-marker svg{
    opacity: 0;
}


.marker-type-34 {
    background-image: url('../images/map/fav-muller.png');
}

.marker-type-35 {
    background-image: url('../images/map/fav-spar.png');
}

.marker-type-38 {
    background-image: url('../images/map/fav-jager.png');
}

.marker-type-39 {
    background-image: url('../images/map/fav-tus.png');
}


.marker-type-40 {
    background-image: url('../images/map/fav-wolt.png');
}

.marker-type-41 {
    background-image: url('../images/map/fav-agraria.png');
}

.marker-type-42 {
    background-image: url('../images/map/fav-gust.png');
}


.marker-type-43 {
    background-image: url('../images/map/fav-mercator.png');
}

.marker-type-44 {
    background-image: url('../images/map/fav-leclerc.png');
}

.marker-type-46 {
    background-image: url('../images/map/fav-zlatapticka.png');
}

.marker-type-47 {
    background-image: url('../images/map/fav-partypek.png');
}

.marker-type-48 {
    background-image: url('../images/map/fav-dozadomacga.png');
}

.marker-type-49 {
    background-image: url('../images/map/fav-mokca.png');
}

.marker-type-50 {
    background-image: url('../images/map/fav-mladinska.png');
}
.marker-type-51 {
    background-image: url('../images/map/fav-dzs.png');
}

.marker-type-53 {
    background-image: url('../images/map/fav-knjigarnadruzina.png');
}
.marker-type-54 {
    background-image: url('../images/map/fav-kea.png');
}

.marker-type-56 {
    background-image: url('../images/map/fav-peki.png');
}

.marker-type-58 {
    background-image: url('../images/map/fav-bipa.png');
}


.default-marker {
    background-image: url('../images/map/fav-bam.png');
}


.use-my-location{
    border: none;
    background: none;
    text-decoration: underline;
    position: absolute;
    margin-top: 20px;
    right: 20px;
}


.marker-position-1{z-index: 1;}
.marker-position-2{z-index: 2;}
.marker-position-3{z-index: 3;}
.marker-position-4{z-index: 4;}
.marker-position-5{z-index: 5;}
.marker-position-6{z-index: 6;}
.marker-position-7{z-index: 7;}
.marker-position-8{z-index: 8;}
.marker-position-9{z-index: 9;}
.marker-position-10{z-index: 10;}
.marker-position-11{z-index: 11;}
.marker-position-12{z-index: 12;}
.marker-position-13{z-index: 13;}
.marker-position-14{z-index: 14;}
.marker-position-15{z-index: 15;}
   

.use-my-location img{
    width: 25px;
}

/* Slog za loading indikator */
.loading-indicator {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    text-align: center;
    background: rgba(255, 255, 255, 0.8);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

/* Slog za spinner */
.spinner {
    width: 40px;
    height: 40px;
    margin: 0 auto 10px auto;
    border: 4px solid rgba(0, 0, 0, 0.2);
    border-top: 4px solid #000;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


/* Dropdown */
.dropdown-category {
    position: relative;
    display: inline-block;
}

.dropdown-button {
    font-size: 14px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    padding: 4px 10px;
    background: none;
}

.dropdown-button img{
    width: 10px;
}


.dropdown-content {
    display: none;
    position: absolute;
    background-color: white;
    min-width: 200px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
    padding: 10px;
    border-radius: 5px;
    overflow: scroll;
    height: 200px;
}

.dropdown-category:hover .dropdown-content {
    display: block;
}

.dropdown-content label {
    display: block;
    padding: 5px 0;
    cursor: pointer;
    color: black;
    font-size: 12px;
}

.dropdown-content label span{
    display: inline-block;
    margin-left: 5px;
    vertical-align: top;
    width: 87%;
}

.dropdown-content{
       overflow-y: scroll;
    overflow-x: hidden;
}

#style-1::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	border-radius: 10px;
	background-color: #F5F5F5;
}

#style-1::-webkit-scrollbar
{
	width: 8px;
	background-color: #F5F5F5;
}

#style-1::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #555;
}

.category-checkbox {
    margin-right: 10px;
}


.found-product{
    padding: 0 10px;
    font-size: 13px;
    margin-bottom: 10px;
}

.found-product button{
    border: none;
    margin: 3px;
    padding: 0px 0px;
    padding-left: 10px;
    background: #f0eeec;
}

.found-product button .remove-filter{
        margin-left: 10px;
    border: 1px solid #dddddd;
    padding: 0 4px;
    background: #d8d6d4;
}

@media (max-width: 768px) {

    .location-map .location-map-row{
        flex-direction: column;
    }

    .location-map #controls{
        position: relative;
        left: 0px;
        top: 0px;
        height: 400px;
    }

    .location-map{
        padding-top: 0px;
    }

    .location-map #map {
        width: 100%;
        height: 400px;
    }

    .location-map #locationList{
        height: 66%;
    }

    .location-map .popup {
        width: 90%;
        left: 50% !important;
    }
}